For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • POSTCreate MCP server
          • DELDelete MCP server
          • GETList MCP servers
          • GETGet MCP server
          • GETList MCP server tools
          • PATCHUpdate MCP server configuration
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceMCP

List MCP server tools

GET
/v1/convai/mcp-servers/:mcp_server_id/tools
GET
/v1/convai/mcp-servers/:mcp_server_id/tools
$curl https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tools
1{
2 "success": true,
3 "tools": [
4 {
5 "name": "weather_by_zapier_get_current",
6 "inputSchema": {
7 "properties": {
8 "latitude": {
9 "description": "Latitude",
10 "type": "string"
11 },
12 "longitude": {
13 "description": "Longitude",
14 "type": "string"
15 }
16 },
17 "required": [
18 "latitude",
19 "longitude"
20 ],
21 "type": "object"
22 },
23 "description": "Gets current weather conditions for a location."
24 },
25 {
26 "name": "tool2",
27 "inputSchema": {
28 "properties": {},
29 "type": "object"
30 },
31 "description": "Description of tool2"
32 }
33 ]
34}
Retrieve all tools available for a specific MCP server configuration.
Was this page helpful?
Previous

Update MCP server configuration

Next
Built with

Path parameters

mcp_server_idstringRequired
ID of the MCP Server.

Headers

xi-api-keystringOptional

Response

Successful Response
successboolean
Indicates if the operation was successful.
toolslist of objects
A list of tools available on the MCP server.
error_messagestring or null
Error message if the operation was not successful.

Errors

422
Unprocessable Entity Error